Important information for Businesses using Sage 300

When Sage 300 2018 is released later this year, Sage will only be supporting Sage 300 and Sage 300c 2018, 2017, and 2016 editions. Sage will no longer support Sage 300 2014 (or any earlier versions).

If this affects you, please contact Britec immediately.

Or, to learn more, please visit our technical resource page on the Sage 300 2018 Support changes here.

Back to news